# Single Page Applications

- Full Stack Architectures are complex to build, however, provide flexibility
- Full Stack Architectures allow reuse of REST APIs
- Applications, Mobile Applications or Internet of Things (IOT) Applications are able to communicate to REST APIs
- ECMAScript is a standard while JavaScript is implementation
